Get Environment Storage Details

Get Environment Storage Details

Use this endpoint to get Storage information for the environment
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/environments/{id}/storage-info
COPY
Path Parameters
string
id
Required

ID of the environment


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns StorageAllocationDetailsDTO of type(s) application/vnd.vmware.dms-v1+json
{
    "datastoreUsageByServiceInstances": 0,
    "datastoreFreeSpace": 0,
    "datastoreCapacity": 0,
    "backupStorageUsage": 0
}
integer As int64 As int64
datastoreUsageByServiceInstances
Optional

datastoreUsageByServiceInstances

integer As int64 As int64
datastoreFreeSpace
Optional

datastoreFreeSpace

integer As int64 As int64
datastoreCapacity
Optional

datastoreCapacity

integer As int64 As int64
backupStorageUsage
Optional

backupStorageUsage


400

Bad Request

Operation doesn't return any data structure